Bug 736699 - BRMS-MMR-06: List of all rules active in the session are not presented.
Summary: BRMS-MMR-06: List of all rules active in the session are not presented.
Keywords:
Status: NEW
Alias: None
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: JON
Version: BRMS 5.2.0-ER1
Hardware: i386
OS: Linux
unspecified
urgent
Target Milestone: ---
: ---
Assignee: John Graham
QA Contact: Martin Vecera
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-08 12:51 UTC by Pavel Kralik
Modified: 2013-04-30 23:34 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---


Attachments (Terms of Use)

Description Pavel Kralik 2011-09-08 12:51:53 UTC
Description of problem:

List of all rules active in the session and if they are valid and in running state is missing.

Version-Release number of selected component (if applicable):

BRMS-5.2.0-ER3
brms-p-5.2.0.ER3-rhq-plugin.jar
JON 2.3.1.GA/2.4.0.GA/2.4.1.GA

How reproducible:

Always

Steps to Reproduce:

1. Run a drools-jon-example application

https://svn.devel.redhat.com/repos/jboss-qa/guvnor/branches/BRMS-5.2.x/drools-jon-example/
   with ant compile; ant server;ant client.phase1; ant
client.phase2

4. Try to inspect the Drools application with jconsole
(org.drools.kbases/my-own-knowledge-base/Sessions)

5. Try to auto discover the application in JON and inspect JMX Server/Drools
Service/KBase my-own-knowledge-base/KSessions Session-0.

Actual results:

Parameters are not presented in jconsole/JON.

Expected results:

Parameters are presented in jconsole/JON.

Additional info:
N/A

Comment 1 Lukáš Petrovický 2011-09-08 12:55:37 UTC
This is a difference from the approved PRD. Either this issue must be fixed or
the PRD must be updated.

Comment 2 Edson Tirelli 2011-09-08 22:04:07 UTC
This is a JMX List type. JON does not support lists.

JConsole shows this under "Stats by rule" metric.

Comment 3 Prakash Aradhya 2011-09-09 02:54:03 UTC
Its too bad that vital information like list of active rules in the session cannot be viewed by user.  These things will continue to weaken our monitoring story. We can waive this for this release.
Please file this issue against JON to get this fixed for next release.


Note You need to log in before you can comment on or make changes to this bug.